Package tigase.server

# Enum Class ConnectionManager.WATCHDOG_PING_TYPE

java.lang.Object
java.lang.Enum<ConnectionManager.WATCHDOG_PING_TYPE>
tigase.server.ConnectionManager.WATCHDOG_PING_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<ConnectionManager.WATCHDOG_PING_TYPE>`, `Constable`

Enclosing class:
  ConnectionManager<IO extends XMPPIOService<?>>

public static enum ConnectionManager.WATCHDOG_PING_TYPE extends Enum<ConnectionManager.WATCHDOG_PING_TYPE>
Holds possible types of ping to be used in watchdog service for detection of broken connections

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `WHITESPACE`
  `XMPP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectionManager.WATCHDOG_PING_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConnectionManager.WATCHDOG_PING_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WHITESPACE

    public static final ConnectionManager.WATCHDOG_PING_TYPE WHITESPACE

  - ### XMPP

    public static final ConnectionManager.WATCHDOG_PING_TYPE XMPP

- ## Method Details

  - ### values

    public static ConnectionManager.WATCHDOG_PING_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConnectionManager.WATCHDOG_PING_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null